summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAshod Nakashian <ashod.nakashian@collabora.co.uk>2023-10-01 03:19:18 -0400
committerMiklos Vajna <vmiklos@collabora.com>2023-10-24 09:20:32 +0200
commit6de46d746e4932b7aa339fb251fc6b5f5cc51413 (patch)
tree479fe27da69b8225175d253b19287506632186f0 /scripts
parentwsd: log TCP_NODELAY error only once (diff)
downloadonline-6de46d746e4932b7aa339fb251fc6b5f5cc51413.tar.gz
online-6de46d746e4932b7aa339fb251fc6b5f5cc51413.zip
wsd: test: better run_unit.sh
Unfotunately, if our custom test driver run_unit.sh fails, the report isn't generated at all. So, instead, we have to go back to parsing the trs file to detect success and failure. We now make fast-fail an option instead. Also fixes a typo in run_unit_standalone.sh. Change-Id: I337c2a3edceda01df5f9c13c83eb176930b07e34 Signed-off-by: Ashod Nakashian <ashod.nakashian@collabora.co.uk>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run-wsdunit2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/run-wsdunit b/scripts/run-wsdunit
index b0f0eab9ca..9e529b7033 100755
--- a/scripts/run-wsdunit
+++ b/scripts/run-wsdunit
@@ -35,7 +35,7 @@ do
echo ">>> $(date +%b-%d) @ $(date +%H:%M:%S) Run #$i (of $limit):";
./coolwsd --disable-cool-user-checking --cleanup &> /dev/null
(cd test && ./run_unit.sh --test-name $name.la --log-file $name.log --trs-file $name.trs --color-tests yes --enable-hard-errors yes --expect-failure no -- ./$name.la)
- if test $? -eq 0; then
+ if test $? -eq 0 && grep -q PASS test/$name.trs; then
((pass=pass+1));
fi;
echo;